<?php

use App\Xielei\ArticleWeb\Http\Home\Article;
use App\Xielei\ArticleWeb\Http\Home\Category;
use App\Xielei\ArticleWeb\Http\Home\Index;
use App\Xielei\ArticleWeb\Http\Home\Search;
use Ebcms\App;
use Ebcms\Router;

App::getInstance()->execute(function (
    Router $router
) {
    $router->getCollector()->addGroup((function (): string {
        if (
            (!empty($_SERVER['REQUEST_SCHEME']) && $_SERVER['REQUEST_SCHEME'] == 'https')
            || (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on')
            || (!empty($_SERVER['SERVER_PORT']) && $_SERVER['SERVER_PORT'] == '443')
        ) {
            $schema = 'https';
        } else {
            $schema = 'http';
        }

        $script_name = '/' . implode('/', array_filter(explode('/', $_SERVER['SCRIPT_NAME'])));
        $request_uri = parse_url('/' . implode('/', array_filter(explode('/', $_SERVER['REQUEST_URI']))), PHP_URL_PATH);
        if (strpos($request_uri, $script_name) === 0) {
            return $schema . '://' . $_SERVER['HTTP_HOST'] . $script_name;
        } else {
            return $schema . '://' . $_SERVER['HTTP_HOST'] . (strlen(dirname($script_name)) > 1 ? dirname($script_name) : '');
        }
    })(), function ($route) {
        $route->get('/', Index::class, '/xielei/article-web/home/index');
        $route->get('/search', Search::class, '/xielei/article-web/home/search');
        $route->get('/{id}', Category::class, '/xielei/article-web/home/category');
        $route->get('/article/{id}', Article::class, '/xielei/article-web/home/article');
    });
});
