/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50726
Source Host           : 127.0.0.1:3306
Source Database       : test

Target Server Type    : MYSQL
Target Server Version : 50726
File Encoding         : 65001

Date: 2020-07-19 17:54:34
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for prefix_xielei_article_article
-- ----------------------------
DROP TABLE IF EXISTS `prefix_xielei_article_article`;
CREATE TABLE `prefix_xielei_article_article` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '节点ID',
  `category_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '分类id',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT '类型',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
  `cover` varchar(255) NOT NULL DEFAULT '' COMMENT '缩略图',
  `keywords` varchar(255) NOT NULL DEFAULT '' COMMENT '关键词',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT '摘要',
  `body` text NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT '文件名称',
  `tpl` varchar(255) NOT NULL DEFAULT '' COMMENT '模板',
  `click` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '点击量',
  `tags` varchar(255) NOT NULL DEFAULT '',
  `sticky` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `publish_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '操作时间',
  `update_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '更新时间',
  `state` tinyint(3) unsigned NOT NULL DEFAULT '99' COMMENT '状态',
  `redirect_uri` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `list` (`category_id`,`state`,`id`) USING BTREE,
  KEY `list2` (`state`,`id`) USING BTREE,
  FULLTEXT KEY `testfulltext` (`title`,`keywords`,`description`,`tags`,`body`) /*!50100 WITH PARSER `ngram` */ 
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='内容基本表';

-- ----------------------------
-- Records of prefix_xielei_article_article
-- ----------------------------
INSERT INTO `prefix_xielei_article_article` VALUES ('1', '1', '安装', '如何安装', '', '', '', '<p>如何安装本系统。。</p>', '', '', '14', '', '1', '1595148412', '1595148674', '1', '');
INSERT INTO `prefix_xielei_article_article` VALUES ('2', '1', '设置', '自定义模板', '', '', '', '<p>。。</p>', '', '', '2', '', '2', '1595148524', '1595149245', '1', '');
INSERT INTO `prefix_xielei_article_article` VALUES ('3', '1', '设置', '更改底部版权信息', '', '', '', '<p>1</p>', '', '', '5', '', '2', '1595148537', '1595149252', '1', '');
INSERT INTO `prefix_xielei_article_article` VALUES ('4', '1', '使用', '如何创建栏目？', '', '', '', '', '', '', '1', '', '2', '1595149119', '1595149193', '1', '');
INSERT INTO `prefix_xielei_article_article` VALUES ('5', '1', '使用', '如何创建文章？', '', '', '', '', '', '', '2', '', '2', '1595149132', '1595149186', '1', '');
INSERT INTO `prefix_xielei_article_article` VALUES ('6', '1', '使用', '如何置顶文章？', '', '', '', '', '', '', '1', '', '2', '1595149142', '1595149181', '1', '');
INSERT INTO `prefix_xielei_article_article` VALUES ('7', '1', '使用', '如何设置关联文章？', '', '', '', '', '', '', '6', '', '2', '1595149163', '1595149177', '1', '');

-- ----------------------------
-- Table structure for prefix_xielei_article_category
-- ----------------------------
DROP TABLE IF EXISTS `prefix_xielei_article_category`;
CREATE TABLE `prefix_xielei_article_category` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '节点ID',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT '目录',
  `types` text NOT NULL,
  `keywords` varchar(255) NOT NULL DEFAULT '' COMMENT '关键字',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT '简介',
  `page_num` int(10) unsigned NOT NULL DEFAULT '20',
  `tpl_category` varchar(255) NOT NULL DEFAULT '' COMMENT '模板',
  `tpl_article` varchar(255) NOT NULL DEFAULT '' COMMENT '内容页模板',
  `rank` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `nav` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '导航显示',
  `state` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '是否发布',
  `redirect_uri` varchar(255) NOT NULL DEFAULT '' COMMENT '外部链接',
  `body` text,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='内容栏目表';

-- ----------------------------
-- Records of prefix_xielei_article_category
-- ----------------------------
INSERT INTO `prefix_xielei_article_category` VALUES ('1', '安装使用', 'ddd', '安装 使用 设置', '', '', '1', '', '', '50', '2', '1', '', '');
INSERT INTO `prefix_xielei_article_category` VALUES ('2', '二次开发', '', '框架手册 模板标签 全网发布', '', '', '20', '', '', '50', '1', '1', '', '');

-- ----------------------------
-- Table structure for prefix_xielei_article_tag
-- ----------------------------
DROP TABLE IF EXISTS `prefix_xielei_article_tag`;
CREATE TABLE `prefix_xielei_article_tag` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `article_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '内容ID',
  `tag` varchar(255) NOT NULL DEFAULT '' COMMENT '属性',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='内容属性表';

-- ----------------------------
-- Records of prefix_xielei_article_tag
-- ----------------------------
